| Version: 3.1.5

Classes | Functions
vector.h File Reference

## Classes
class | wxVector< T >
| wxVector<T> is a template class which implements most of the `std::vector` class and can be used like it. More...

## Functions
template<typename T >
void | wxVectorSort (wxVector< T > &v)
| Sort the contents of a `wxVector<T>`. More...
template<typename T >
bool | wxVectorContains (const wxVector< T > &v, const T &value)
| Returns true if the vector contains the given value. More...

## Function Documentation

## ◆ wxVectorContains()

template<typename T >

bool wxVectorContains | ( | const wxVector< T > & | v,
|  | const T & | value
| ) |  |

Returns true if the vector contains the given value.

This is just a trivial wrapper around std::find().

Since
  3.1.5

## ◆ wxVectorSort()

template<typename T >

void wxVectorSort | ( | wxVector< T > & | v | ) |

Sort the contents of a `wxVector<T>`.

In a STL build this function will be defined as a thin wrapper around std::sort. To be sortable the contained type must support the less-than operator.

wxVector<SomeClass> v;
... // items are added to the vector v...
wxVectorSort(v);
wxVectorSort
void wxVectorSort(wxVector< T > &v)
Sort the contents of a wxVector<T>.

See also
  wxVector<T>